# $Revision: 1.2 $, $Date: 2002/04/19 17:09:07 $
Summary:	The "Maximum RPM" book
Name:		maximum-rpm
Version:	1.0
Release:	0.20010429
License:	OPL
Group:		Documentation
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd41-sgml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"Maximum RPM" is a book about the RPM Package Manager or, as it is
known to its friends, RPM.

The book is divided into two major sections. The first section is for
anyone who needs to use RPM on his/her system. The second section
covers all there is to know about build packages using RPM.

%description
"Maximum RPM" to ksika o Zarzdcy Pakietw RPM (RPM Package Manager)
lub, midzy przyjacimi, RPMie.

Ksika ta podzielona jest na dwa gwne rozdziay. Pierwszy jest 
przeznaczony dla kadego, kto potrzbuje RPM'a w swoim systemie. Drugi
pokrywa wszystko co moe by powiedziane o budowania pakietw z
uyciem RPM'a.

Ksika jest napisana w jzyku angielskim.

%prep
%setup -q

%build
# bundled configure and make are heavily broken... thus this dirty hack
mkdir html
cd html
dsl="`echo /usr/share/sgml/docbook/utils-*/docbook-utils.dsl`#html"
# it will fail with lack of generated-index.sgml
jade -d $dsl -t sgml -i html -V html-index ../max-rpm.sgml || true
perl /usr/bin/collateindex -o ../temp-index.sgml HTML.index
perl ../fix-index < ../temp-index.sgml > ../generated-index.sgml
# ok, we have generated-index now, so restart
cd ..
rm -rf html
mkdir html
cd html
jade -d $dsl -t sgml -i html ../max-rpm.sgml
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc html/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: maximum-rpm.spec,v $
Revision 1.2  2002/04/19 17:09:07  malekith
- added br for 4.1 dtd

Revision 1.1  2002/04/19 16:57:29  malekith
- initial, based on rawhide spec

* Thu Apr 19 2001 Jeff Johnson <jbj@redhat.com>
- Prepare for Raw Hide distribution.

* Thu Apr  5 2001 Jeff Johnson <jbj@redhat.com>
- Create.
